View Issue Details

IDProjectCategoryView StatusLast Update
0000031After The Collapse[All Projects] Gameplaypublic2018-09-03 23:06
ReporterEsKaAssigned ToEsKa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformPC OSWindows 10OS VersionLatest (EsKa)
Product Version 
Target Version0.4 - Early AccessFixed in Version0.4 - Early Access 
Summary0000031: Area Coverage / Power not working properly
DescriptionIt seems that the power isn't reaching all the points it should be, at least not when "cheat dropped".
TagsNo tags attached.

Relationships

parent of 0000032 closedEsKa Area Coverage is consuming too much CPU 

Activities

EsKa

2018-08-31 12:54

administrator   ~0000015

Ok the whole implementation is crap
- 10-15% of cpu share, which is way too much
- only works when stuff is placed in the "correct" order

Rewriting it using a more sane method.

EsKa

2018-08-31 21:02

administrator   ~0000017

Complete overhaul of AreaCoverage:
- More flexible
- Increased statistical output
- Less CPU intensive

Issue History

Date Modified Username Field Change
2018-08-29 10:37 EsKa New Issue
2018-08-29 10:37 EsKa Status new => assigned
2018-08-29 10:37 EsKa Assigned To => EsKa
2018-08-31 12:54 EsKa Status assigned => confirmed
2018-08-31 12:54 EsKa Note Added: 0000015
2018-08-31 12:55 EsKa Relationship added parent of 0000032
2018-08-31 21:02 EsKa Status confirmed => resolved
2018-08-31 21:02 EsKa Resolution open => fixed
2018-08-31 21:02 EsKa Fixed in Version => 0.4 - Early Access
2018-08-31 21:02 EsKa Note Added: 0000017
2018-09-03 23:06 EsKa Status resolved => closed